import React from 'react';
import { useNavigate } from 'react-router-dom';

// Import your SVG icons
import HomeIcon from '../../assets/thob-data/HomeIcon.svg';
import AddCustomerIcon from '../../assets/thob-data/AddCustomerIcon.svg';
import OrdersIcon from '../../assets/thob-data/OrdersIcon.svg';
import CategoriesIcon from '../../assets/thob-data/CategoriesIcon.svg';
import CatalogIcon from '../../assets/thob-data/CatalogIcon.svg';
import EmployeeIcon from '../../assets/thob-data/EmployeeIcon.svg';
import MeasurmentsIcon from '../../assets/thob-data/MeasurmentsIcon.svg';
import ProfileIcon from '../../assets/thob-data/ProfileIcon.svg';
import LogoutIcon from '../../assets/thob-data/LogoutIcon.svg';

const Sidebar = () => {
  const navigate = useNavigate();

  const handleNavigation = (link) => {
    navigate(link);
  };

  return (
    <div className="flex">
      <div className="w-16 min-h-screen bg-black flex flex-col items-center py-4">
        <div className="text-orange-500 text-4xl mb-10">t.</div>
        <nav className="flex flex-col items-center space-y-4">
          <div onClick={() => handleNavigation('/admin-dashboard')} className="cursor-pointer">
            <img src={HomeIcon} alt="Home" className="w-8 h-8" />
          </div>
          <div onClick={() => handleNavigation('/admin/manage-customers')} className="cursor-pointer">
            <img src={AddCustomerIcon} alt="Add Customer" className="w-8 h-8" />
          </div>
          <div onClick={() => handleNavigation('/admin/orders')} className="cursor-pointer">
            <img src={OrdersIcon} alt="Orders" className="w-8 h-8" />
          </div>
          <div onClick={() => handleNavigation('/admin/categories')} className="cursor-pointer">
            <img src={CategoriesIcon} alt="Categories" className="w-8 h-8" />
          </div>
          <div onClick={() => handleNavigation('/admin/catalog')} className="cursor-pointer">
            <img src={CatalogIcon} alt="Catalog" className="w-8 h-8" />
          </div>
          <div onClick={() => handleNavigation('/admin/employee')} className="cursor-pointer">
            <img src={EmployeeIcon} alt="employee" className="w-8 h-8" />
          </div>
          <div onClick={() => handleNavigation('/admin/measurements')} className="cursor-pointer">
            <img src={MeasurmentsIcon} alt="measurements" className="w-8 h-8" />
          </div>
          <div onClick={() => handleNavigation('/admin/profile')} className="cursor-pointer">
            <img src={ProfileIcon} alt="Profile" className="w-8 h-8" />
          </div>
          <div onClick={() => handleNavigation('/admin/logout')} className="cursor-pointer mt-auto mb-4">
            <img src={LogoutIcon} alt="Logout" className="w-8 h-8" />
          </div>
        </nav>
      </div>
    </div>
  );
};

export default Sidebar;
